:root {
    /*Cores*/
    --vermelho-mais-claro: rgba(234, 85, 89, 1);
    --vermelho-claro: rgba(216, 41, 45, 1);
    --vermelho-sistrade: rgba(177, 17, 21, 1);
    --vermelho-escuro: rgba(144, 0, 4, 1);
    --vermelho-mais-escuro: rgba(102, 0, 3, 1);
    --vermelho-sistrade-87: rgba(177, 17, 21, 0.87);
    --vermelho-sistrade-72: rgba(177, 17, 21, 0.72);
    --vermelho-sistrade-50: rgba(177, 17, 21, 0.50);
    --vermelho-sistrade-20: rgba(177, 17, 21, 0.20);
    --vermelho-sistrade-10: rgba(177, 17, 21, 0.10);
    --vermelho-sistrade-5: rgba(177, 17, 21, 0.05);
    --amarelo-mais-claro: rgba(236, 171, 86, 1);
    --amarelo-claro: rgba(218, 141, 41, 1);
    --amarelo: rgba(179, 108, 17, 1);
    --amarelo-escuro: rgba(145, 82, 0, 1);
    --amarelo-mais-escuro: rgba(103, 58, 0, 1);
    --amarelo-87: rgba(179, 108, 17, 0.87);
    --amarelo-72: rgba(179, 108, 17, 0.72);
    --amarelo-50: rgba(179, 108, 17, 0.50);
    --amarelo-20: rgba(179, 108, 17, 0.20);
    --amarelo-10: rgba(179, 108, 17, 0.10);
    --amarelo-5: rgba(179, 108, 17, 0.05);
    --roxo-mais-claro: rgba(150, 56, 154, 1);
    --roxo-claro: rgba(150, 56, 154, 1);
    --roxo: rgba(113, 12, 116, 1);
    --roxo-escuro: rgba(91, 0, 95, 1);
    --roxo-mais-escuro: rgba(65, 0, 67, 1);
    --roxo-87: rgba(113, 12, 116, 0.87);
    --roxo-72: rgba(113, 12, 116, 0.72);
    --roxo-50: rgba(113, 12, 116, 0.50);
    --roxo-20: rgba(113, 12, 116, 0.20);
    --roxo-10: rgba(113, 12, 116, 0.10);
    --roxo-5: rgba(113, 12, 116, 0.05);
    --preto-puro: rgba(0, 0, 0, 1);
    --preto-87: rgba(0, 0, 0, 0.87);
    --preto-72: rgba(0, 0, 0, 0.72);
    --preto-50: rgba(0, 0, 0, 0.5);
    --preto-20: rgba(0, 0, 0, 0.2);
    --preto-10: rgba(0, 0, 0, 0.1);
    --preto-5: rgba(0, 0, 0, 0.05);
    --branco-puro: rgba(255, 255, 255, 1);
    --branco-87: rgba(255, 255, 255, 0.87);
    --branco-72: rgba(255, 255, 255, 0.72);
    --branco-50: rgba(255, 255, 255, 0.5);
    --branco-20: rgba(255, 255, 255, 0.2);
    --branco-10: rgba(255, 255, 255, 0.1);
    --branco-5: rgba(255, 255, 255, 0.05);
}


/*Fundo*/

html {
    /*background: url("../img/background/background.jpeg") no-repeat center center fixed;*/
    -webkit-background-size: cover;
    -moz-background-size: cover;
    -o-background-size: cover;
    background-size: cover;
    font-size: 14px;
    scroll-behavior: smooth;
}


/*Tipografia*/

@import url('https://fonts.googleapis.com/css?family=Open+Sans:300,400,700&subset=cyrillic,cyrillic-ext,greek,greek-ext,latin-ext');

body {
    font-family: 'Open Sans', sans-serif;
    font-size: 14px;
    font-weight: 400;
    line-height: 1.4;
    color: rgba(0, 0, 0, 0.87);
    -webkit-font-smoothing: subpixel-antialiased;
    -moz-osx-font-smoothing: grayscale;
    background: none;
}

@media (max-width: 576px) 
{
    body {
        font-size: 12px;
    }

    h1 {
        font-size: 2.714em;
        font-weight: 300;
        letter-spacing: -2px;
        line-height: 1.4;
        margin-top: 1.1rem;
        margin-bottom: 1rem;
    }
}

h1 {
    font-size: 3.714em;
    font-weight: 300;
    letter-spacing: -2px;
    line-height: 1.4;
    margin-top: 1.1rem;
    margin-bottom: 1rem;
}

h2 {
    font-size: 3em;
    font-weight: 300;
    letter-spacing: -2px;
    line-height: 1.4;
    margin-top: 0.9rem;
    margin-bottom: 0.8rem;
}

h3 {
    font-size: 2.285em;
    font-weight: 300;
    letter-spacing: -1px;
    line-height: 1.4;
    margin-top: 0.7rem;
    margin-bottom: 0.6rem;
}

h4 {
    font-size: 1.714em;
    font-weight: 300;
    letter-spacing: -1px;
    line-height: 1.4;
    margin-top: 0.4rem;
    margin-bottom: 0.3rem;
}

h5 {
    font-size: 1.428em;
    font-weight: 300;
    letter-spacing: -1px;
    line-height: 1.4;
    margin-top: 0.3rem;
    margin-bottom: 0.2rem;
}

h6 {
    font-size: 1.142em;
    font-weight: 300;
    line-height: 1.4;
    margin-top: 0.2rem;
    margin-bottom: 0.1rem;
}

a,
.breadcrumb-item a {
	color: var(--branco-87);
	border-bottom: 2px var(--vermelho-sistrade) solid;
	transition: 0.2s;
}

    a:hover, .breadcrumb-item a:hover {
        color: var(--branco-puro) !important;
        border-bottom: 2px var(--vermelho-sistrade) solid;
        background: var(--vermelho-sistrade);
        transition: 0.2s;
        text-decoration: none;
        cursor: pointer;
    }



/*---------- Layout ---------- */


/* Containers */

.container-fluid,
container {
    padding: 0px;
}

@media (max-width: 576px) 
{
    .container-fluid,
    container {
        padding-left: 0px;
        padding-right: 0px;
        margin-right: 15px;
    }
}


/* Sidebar and Menu*/

.sidebar {
    background: var(--branco-72);
    height: 100vh;
    overflow: hidden;
    padding: 0px;
    position: fixed;
    -webkit-backdrop-filter: blur(5px);
}

.sidebar {
    max-width: 280px;
    transition: opacity 0.2s ease-out, max-width 0.2s ease-in-out;
}


/* Collapsed */

#stsidebar {
    z-index: 2;
}

.sidebarCollapsed {
    max-width: 60px;
    transition: opacity 0.2s ease-out, max-width 0.2s ease-in-out;
}

#stMenu {
    padding-right: 0px;
    padding-left: 0px;
}

#stMenuButton {
    width: 60px;
    height: 60px;
}

.stNoPadding {
    padding: 0px;
}

.navbar-toggler {
    background: var(--preto-87);
    color: var(--branco-puro);
    opacity: 0.8;
    display: inline-block;
    transition: 0.2s;
    webkit-filter: none;
    filter: none;
    -webkit-box-shadow: none;
    box-shadow: none;
    outline: none;
}

    .navbar-toggler:hover {
        webkit-filter: none;
        filter: none;
        -webkit-box-shadow: none;
        box-shadow: none;
        outline: none;
        opacity: 1;
        transition: 0.2s;
    }

.stInline {
    display: inline-block;
}

.stMenuTitle {
    font-size: 2.285em;
    font-weight: 300;
    letter-spacing: -1px;
    line-height: 40px;
    margin: 0px 5px;
    transition: 0.2s;
}

.stMenuRow {
    display: block;
}

.stMenuRowIcon {
    width: 60px;
    height: 60px;
}

.stMenuRowIcon a 
{
    font-size: 2.25rem;
    background-color: transparent;
    color: var(--branco-87);
    opacity: 0.8;
    display: inline-block;
    webkit-filter: none;
    filter: none;
    -webkit-box-shadow: none;
    box-shadow: none;
    outline: none;
    height: 60px;
    width: 60px;
    line-height: 60px;
    border-bottom: none;
    padding: 4px 13px;
    transition: 0.2s;
}

.stMenuRowIcon a:hover 
{
    opacity: 1;
    transition: 0.2s;
}

.stButtonVermelhoSistrade {
    background: var(--vermelho-sistrade);
}

.stButtonVermelhoSistrade87 {
    background: var(--vermelho-sistrade-87);
}

.stButtonVermelhoSistrade72 {
    background: var(--vermelho-sistrade-72);
}

.stButtonVermelhoSistrade50 {
    background: var(--vermelho-sistrade-50);
}

.stButtonVermelhoSistrade20 {
    background: var(--vermelho-sistrade-20);
}

.stButtonVermelhoSistrade10 {
    background: var(--vermelho-sistrade-10);
}

.stButtonVermelhoSistrade5 {
    background: var(--vermelho-sistrade-5);
}

.stTableCell {
    display: table-cell;
}

.stMenuRowText {
    font-size: 1.2em;
    padding: 0px;
    display: inline-block;
}

    .stMenuRowText a {
        font-size: 1.2em;
        background-color: var(--branco-20);
        color: var(--branco-87);
        opacity: 0.8;
        display: inline-block;
        webkit-filter: none;
        filter: none;
        -webkit-box-shadow: none;
        box-shadow: none;
        outline: none;
        width: 100%;
        border-bottom: none;
        transition: 0.2s;
    }

.stInvisible {
    opacity: 0;
    display: none;
    transition: 0.2s;
}

#stSearchRow {
    padding: 0px;
    height: 60px;
    margin: 0px;
}

#stSearchBox {
    min-width: 65px;
    max-width: 100%;
    height: 60px;
    width: 100%;
    font-family: "sistrade-flow-font-v10", sans-serif;
    border: none;
    background: var(--preto-20);
    color: var(--branco-87);
}

    #stSearchBox::placeholder {
        color: var(--branco-87);
        font-size: 1.25em;
        text-align: left;
    }


/* Main Content Area */

.stTopBar {
    /*height: 60px;*/
    background: var(--vermelho-sistrade-87);
    padding: 5px 10px;
    top: 0px;
    color: var(--branco-87);
}

.stVersion {
    background: var(--branco-87);
    color: var(--vermelho-sistrade);
    font-weight: bold;
    padding: 1px 5px;
}

#stMainContent {
    overflow-y: auto;
    overflow-x: hidden;
    transition: margin 0.2s;
    flex: auto !important;
}

@media (max-width: 576px) 
{
    #stMainContent {
        flex: auto !important;
    }
}

.stMainContentCollapse {
    margin-left: 61px;
    transition: margin 0.2s;
}

.stMainContentUnCollapse {
    margin-left: 280px;
    transition: margin 0.2s;
}

.stContentArea {
    padding: 10px 10px;
    min-height: 300px;
    background: var(--branco-puro);
}

.stOverflowXHidden {
    overflow-x: hidden;
}

.stEcraPrincipal {
    height: 91.9vh;
}

.img_center {
    height: 100%;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

#stAppBar {
    min-height: 60px;
    margin: 0px;
    overflow: hidden;
    background-color: var(--branco-puro);
    /*background-color: transparent;*/
    /*padding: 5px 10px;*/
    z-index: 1100;
    transition: width 0.2s;
    margin-bottom: 10px;
    /*width: fit-content;*/
    right: 0;
    position: fixed;
    max-width: 35%;
    /*white-space: nowrap;
    overflow: hidden;*/
    max-height: 60px;
    border: 1px solid var(--vermelho-sistrade-72);
    border-radius:5px;
}



.stSticky {
    position: fixed;
    /*top: 0;*/
}

.stWidthContentCollapsedMenu {
    transition: width 0.2s;
}

.stWidthContentUnCollapsedMenu {
    width: calc(100% - 280px);
}


/*Command bar*/

.stCommandBar {
    float: right;
}

    .stCommandBar ul {
        list-style-type: none;
        margin: 0;
        padding: 0;
        overflow: hidden;
        text-align: center;
    }

        .stCommandBar ul li {
            float: left;
        }

            .stCommandBar ul li a {
                display: block;
                color: var(--branco-87);
                background: var(--vermelho-sistrade-72);
                text-align: center;
                padding: 10px 10px;
                text-decoration: none;
                transition: 0.2s;
                margin: 5px 5px;
                line-height: 1.2;
                min-width: 60px;
                height: 50px;
                font-size: 14px;
                text-decoration: none;
                border-bottom: none;
            }


            
        .stCom1 
        {
            float:left; 
        }

        .stCom1 ul
        {
            list-style-type: none;
            margin: 0;
            padding: 0;
            overflow: hidden;
            text-align: center;
        }

        .stCom1 ul li a 
        {
            display: block;
            color: var(--branco-87);
            background: var(--vermelho-sistrade-72);
            text-align: center;
            padding: 5px 5px;
            text-decoration: none;
            transition: 0.2s;
            margin: 5px 5px;
            line-height: 1.2;
            min-width: 20px;
            height: 50px;
            font-size: 25px;
            text-decoration: none;
            border-bottom: none;
            padding-top:25%;
        }

.li_Disabled 
{
    color: var(--branco-87) !important;
    background: var(--preto-50) !important;
}


@media (min-width: 768px) 
{
    .stAppBarExpanded .stCommandBar ul
    {
        display:grid;
        grid-template-columns:auto;
    }
}

@media (min-width: 992px) 
{
    .stAppBarExpanded .stCommandBar ul
    {
        display:grid;
        grid-template-columns:auto auto;
    }
}

@media (min-width: 1200px) 
{
    .stAppBarExpanded .stCommandBar ul
    {
        display:grid;
        grid-template-columns:auto auto auto;
    }
}

@media (min-width: 1500px) 
{
    .stAppBarExpanded .stCommandBar ul
    {
        display:grid;
        grid-template-columns:auto auto auto auto;
    }
}

@media (max-width: 576px) 
{
    #stAppBar {
        min-height: 50px;
        max-height: 50px;
    }

    .stCommandBar ul li a {
        display: block;
        color: var(--branco-87);
        background: var(--vermelho-sistrade-72);
        text-align: center;
        padding: 5px 5px;
        margin: 5px 5px;
        min-width: 50px;
        height: 40px;
        font-size: 12px;
    }

    .stCom1 ul li a 
    {
        display: block;
        color: var(--branco-87);
        background: var(--vermelho-sistrade-72);
        text-align: center;
        padding: 5px 5px;
        text-decoration: none;
        transition: 0.2s;
        margin: 5px 5px;
        line-height: 1.2;
        min-width: 20px;
        height: 40px;
        font-size: 17px;
        padding-top:25%;
    }

    .stAppBarExpanded .stCommandBar ul
    {
        display:grid;
        grid-template-columns:auto;
    }

}

.stCommandBar ul li a:hover 
{
    background: var(--vermelho-sistrade);
    color: var(--branco-puro);
    transition: 0.2s;
     
}

.stCom1 ul li a:hover 
{
    background: var(--vermelho-sistrade);
    color: var(--branco-puro);
    transition: 0.2s;
     
}


.stCommandBarText {
    font-size: 10px;
    white-space: nowrap;
    max-width: 40px;
    overflow: hidden;
    text-overflow: ellipsis;

}

.stCommandBarOverflow
{
    width:calc(100% - 30px) !important;
    white-space: nowrap !important;
    overflow: hidden !important;
    float:left !important;
}


.stAppBarExpanded
{
    max-height:100% !important;
    max-width:100% !important;
}

.stAppBarExpanded .stCommandBar ul
{
    display:grid;    
    max-height:calc(100vh - 100px);
    overflow-y:auto;
}

.stAppBarExpanded .stCommandBar ul li a .stCommandBarText
{
    max-width:100%;
}


/*--------- Aesthethics ----------*/


/* Acrylic Panels */

.stAcrylicThin {
    /*backdrop-filter: blur(5px);*/
    -webkit-backdrop-filter: blur(5px);
}

.stAcrylicNormal {
    /*backdrop-filter: blur(10px);*/
    -webkit-backdrop-filter: blur(10px);
}

.stAcrylicThick {
    /*backdrop-filter: blur(20px);*/
    -webkit-backdrop-filter: blur(20px);
}

.stImportant {
    color: var(--vermelho-sistrade);
}

.stMarginTop {
    margin-top: 1rem;
}

.stMarginTopDouble {
    margin-top: 2rem;
}

.stMarginBottom {
    margin-bottom: 1rem;
}

.stMarginBottomDouble {
    margin-bottom: 2rem;
}

.stTxtAlignRight {
    text-align: right;
}

.stTxtAlignCenter {
    text-align: center;
}

.stTxtAlignLeft {
    text-align: center;
}


/* BreadCrumb */

.stBreadCrumbBar {
    min-height: 35px;
    background: var(--branco-87);
    padding: 5px 10px;
    color: var(--branco-87);
}

.breadcrumb {
    padding: 0em;
    margin: 0px;
    background: none;
    color: var(--preto-87);
}

.breadcrumb-item + .breadcrumb-item::before {
    content: ">";
}


/* */

input[type=text]:focus,
input[type=password]:focus,
input[type=email]:focus,
input[type=url]:focus,
input[type=time]:focus,
input[type=date]:focus,
input[type=datetime-local]:focus,
input[type=tel]:focus,
input[type=number]:focus,
input[type=search-md]:focus,
input[type=search]:focus,
select.form-control:focus,
textarea.form-control:focus {
    outline: 1px solid var(--vermelho-sistrade-87);
    transition: 0.2s;
}


input[type=text],
input[type=password],
input[type=email],
input[type=url],
input[type=time],
input[type=date],
input[type=datetime-local],
input[type=tel],
input[type=number],
input[type=search-md],
input[type=search],
select.form-control,
textarea.form-control {
    color: var(--preto-87);
    font-weight: 400;
}


/*ToolTips */

.tooltip {
}

.tooltip-inner {
    background: var(--amarelo-mais-claro);
    padding: 5px 10px;
    border: none;
}


/*Modal*/

#stModalInner {
    margin: 10px auto;
    max-width: 90%;
    padding-left: 5%;
    padding-right: 5%;
    border: none;
}

#stModalSmall {
    margin: 10px auto;
    max-width: 95%;
    border: none;
    position: absolute;
    float: left;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
}

@media (max-width: 576px) {
    #stModalSmall {
        margin: 10px auto;
        max-width: 95%;
        border: none;
        position: fixed;
        float: none;
        top: 0;
        right: 0;
        bottom: 0;
        left: 0;
        transform: none;
    }
}

.modal-footer > :not(:last-child) {
    margin-right: .5rem;
}

.modal .modal-content {
    border: 1px solid var(--vermelho-sistrade-72);
}

.modal-content {
    /*background: var(--branco-87);*/
}

.modal {
    z-index: 1100 !important;
    overflow-y: auto; /*POF - Adicionado para não perder o scroll quando
                        é aberto um 2ºmodal e este depois é fechado*/
}

/*Botões*/

.btn {
    border-radius: 0;
    border: none;
}

    .btn:hover {
        border: none;
    }

.btn-primary {
    background-color: var(--vermelho-sistrade-87) !important;
    color: var(--branco-87) !important;
    border: none;
}

    .btn-primary:hover,
    .btn-primary:active,
    .btn-primary:not([disabled]):not(.disabled):active,
    .btn-primary:not([disabled]):not(.disabled).active,
    .show > .btn-primary.dropdown-toggle {
        background-color: var(--vermelho-sistrade) !important;
        color: var(--branco-puro) !important;
        transition: 0.2s;
    }

.btn-default {
    background-color: var(--roxo-87) !important;
    color: var(--branco-87) !important;
    border: none;
}

    .btn-default:hover,
    .btn-default:active,
    {
        background-color: var(--roxo) !important;
        color: var(--branco-puro) !important;
        border: none;
    }


/* Back to top */

.back-to-top {
    cursor: pointer;
    position: fixed;
    bottom: 0px;
    right: 0px;
    display: none;
}

#back-to-top {
    width: 50px;
    height: 50px;
    padding: 16px 18px;
    font-size: 15px;
    margin: 0px;
}


/*Table Tools*/

.stTableToolBar {
    float: right;
    border: 1px var(--preto-20) dashed;
}

    .stTableToolBar ul {
        list-style-type: none;
        margin: 0;
        padding: 0;
        overflow: hidden;
        text-align: center;
    }

        .stTableToolBar ul li {
            float: left;
        }

            .stTableToolBar ul li a {
                display: block;
                color: var(--preto-87);
                background: var(--vermelho-sistrade-10);
                text-align: center;
                padding: 5px 3px 5px 5px;
                text-decoration: none;
                transition: 0.2s;
                margin: 5px 5px;
                line-height: 1.2;
                min-width: 35px;
                height: 35px;
                font-size: 24px;
                text-decoration: none;
                border-bottom: none;
            }

                .stTableToolBar ul li a:hover {
                    color: var(--preto-puro);
                    background: var(--vermelho-sistrade-20);
                    font-weight: 700;
                    transition: 0.2s;
                }


/* Bottom button bar */

.stBottomBarContainer {
    min-height: 70px;
}

.stBottomBar {
    display: table;
    margin: 0 auto;
}

    .stBottomBar ul {
        list-style-type: none;
        margin: 0;
        padding: 0;
        overflow: hidden;
    }

        .stBottomBar ul li {
            float: left;
            color: var(--branco-87);
        }

            .stBottomBar ul li a {
                display: block;
                color: var(--branco-87);
                background: var(--vermelho-sistrade-87);
                text-align: center;
                padding: 15px 15px;
                text-decoration: none;
                transition: 0.2s;
                margin: 5px 5px;
                line-height: 1.2;
                min-width: 50px;
                height: 60px;
                font-size: 24px;
                text-decoration: none;
                border-bottom: none;
            }

                .stBottomBar ul li a:hover {
                    color: var(--branco-puro);
                    background: var(--vermelho-sistrade);
                    transition: 0.2s;
                }

.stDetachedContent {
    background: var(--branco-87);
    margin: -10px 0px;
    padding: 20px 10px 10px 10px;
    display: block;
    height: 100%;
}

.stScrollProgressContainer {
    margin-top: 5px;
    z-index: 1;
    position: fixed;
    bottom: 0px;
    left: 0px;
    width: 100%;
    height: 3px;
}

#stScrollProgressBar {
    height: 3px;
    background: var(--vermelho-sistrade-87);
    width: 0%;
}
